| Home · All Classes · All Namespaces · Modules · Functions · Files

# PendingVoid Class Reference

`#include <TelepathyQt4/PendingVoid>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingVoid (QDBusPendingCall call, QObject *parent)

## Detailed Description

Generic subclass of PendingOperation representing a pending D-Bus method call that does not return anything (or returns a result that is not interesting).

Objects of this class indicate the success or failure of the method call, but if the method call succeeds, no additional information is available.

## Constructor & Destructor Documentation

PendingVoid | ( | QDBusPendingCall | call,
|  | QObject * | parent |
| ) |  |  |

Constructor.

Parameters:

  | parent | The object on which this pending operation takes place
  | call | A pending call as returned by the auto-generated low level Telepathy API; if the method returns anything, the return value(s) will be ignored